Modbot Docs
APIAPI referenceGiveaways

Update giveaway

PUT/api/giveaways/{id}

Change a giveaway.

Needs the RunGiveaways permission.

AuthorizationBearer <token>

An API key, made on Settings, API keys. Every key starts with mbk_.

In: header

Path Parameters

id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X PUT "https://example.com/api/giveaways/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "prize": null,    "opensAt": "2019-08-24T14:15:22Z",    "closesAt": "2019-08-24T14:15:22Z",    "drawAt": null,    "winnerCount": 0,    "entryWay": null,    "emoji": null,    "rules": null,    "exclusions": null,    "weighting": null,    "weightCap": null,    "postToChannel": true,    "channelId": null,    "draft": true  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "prize": "string",  "opensAt": "2019-08-24T14:15:22Z",  "closesAt": "2019-08-24T14:15:22Z",  "drawAt": null,  "winnerCount": 0,  "entryWay": "string",  "emoji": "string",  "rules": null,  "ruleLines": [    "string"  ],  "exclusions": null,  "exclusionLines": [    "string"  ],  "weighting": "string",  "weightCap": null,  "postToChannel": true,  "channelId": null,  "state": "string",  "seedPromise": "string",  "drawCount": 0,  "entryCount": 0,  "version": 0,  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "openedAt": null,  "closedAt": null,  "post": null,  "draws": [    {      "id": "string",      "number": 0,      "drawnAt": "2019-08-24T14:15:22Z",      "drawnBy": null,      "seed": "string",      "seedPromise": "string",      "seedKept": true,      "winnerCount": 0,      "ruleLines": [        "string"      ],      "exclusions": [        "string"      ],      "weighting": "string",      "weightCap": null,      "entrantCount": 0,      "inDrawCount": 0,      "totalWeight": 0,      "fromPolledData": true,      "closeCalls": 0,      "winners": [        {          "position": 0,          "key": "string",          "vrChatUserId": null,          "discordUserId": null,          "name": null,          "weight": 0,          "measured": 0.1,          "keptOut": "string",          "keptOutLabel": "string",          "because": null,          "fromPolledData": true,          "closeCall": true,          "winnerRank": null,          "purged": true        }      ]    }  ]}

Modbot is not endorsed by or affiliated with VRChat Inc. or Discord Inc. VRChat is a trademark of VRChat Inc. Discord is a trademark of Discord Inc. SteamVR is a trademark of Valve Corporation. Windows is a trademark of Microsoft Corporation. Docker is a trademark of Docker, Inc. PostgreSQL is a trademark of the PostgreSQL Community Association of Canada. Railway is a trademark of Railway Corp. Other names are trademarks of their respective owners; see Legal. Modbot and its logo are trademarks of the Modbot project. Open source under AGPL-3.0.